/*
								+---------------------------------+
								|                                 |
								|      ***   OpenGlDrv   ***      |
								|                                 |
								|  Copyright   -tHE SWINe- 2002  |
								|                                 |
								|           OpenGlDrv.h           |
								|                                 |
								+---------------------------------+
*/

/*
 *	passed code revision at 05-16-2006
 *
 *	renamed arguments passed to CGLDriver::Init
 *	all integers storing only true or false values were replaced by bool
 *	erased all open-gl init code from CGLDriver::Init, but glDepthFunc(GL_LEQUAL); (default GL_LESS)
 *
 */

#ifndef __GL_DRIVER_INCLUDED
#define __GL_DRIVER_INCLUDED

class __declspec(dllexport) CGLDriver {
    HDC m_h_dc;
    HGLRC m_h_glrc;
    HWND m_h_wnd;
    bool m_b_fullscreen;

    int m_n_width;
    int m_n_height;

    bool m_b_status;

public:
    CGLDriver();
    ~CGLDriver();

    bool Init(HWND h_wnd, int n_width, int n_height, int n_bpp, bool b_fullscreen);
    bool Terminate();

	bool b_Status();

    void Blit();
};

#endif //__GL_DRIVER_INCLUDED
